Bug 1898118 - Lack of logs on some image stream tests make hard to find root cause of a problem
Summary: Lack of logs on some image stream tests make hard to find root cause of a pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ImageStreams
Version: 4.6
Hardware: All
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-16 12:53 UTC by Ricardo Maraschini
Modified: 2021-02-24 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:33:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
List of deployments during failure (77.97 KB, application/gzip)
2020-11-16 12:53 UTC, Ricardo Maraschini
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25690 0 None closed Bug 1898118: Logging more during ephemeral registry deployment 2021-01-11 10:03:33 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:55 UTC

Description Ricardo Maraschini 2020-11-16 12:53:46 UTC
Created attachment 1729751 [details]
List of deployments during failure

Description of problem:

Tests below do not log enough information to make it clear why the ephemeral image registry deployment is failing:

[sig-imageregistry][Feature:ImageStreamImport][Serial][Slow] ImageStream API TestImportRepositoryFromBlockedRegistry expand_more	5m20s
[sig-imageregistry][Feature:ImageStreamImport][Serial][Slow] ImageStream API TestImportImageFromBlockedRegistry expand_more	5m20s
[sig-imageregistry][Feature:ImageStreamImport][Serial][Slow] ImageStream API TestImportImageFromInsecureRegistry expand_more	5m20s
[sig-imageregistry][Feature:ImageStreamImport][Serial][Slow] ImageStream API TestImportRepositoryFromInsecureRegistry	5m20s

By looking at the gather-extra information I could see that the deployments did not contain anything on their statuses. By increasing the log verbosity we can at least see what was on the deployment status and how long it is taking to succeed.


How reproducible:

Not able to tell how often it does happen, but you might find useful info through https://testgrid.k8s.io/redhat-openshift-ocp-release-4.7-blocking#release-openshift-ocp-installer-e2e-aws-4.7


Expected results:

On failure we can see where exactly it failed and what was registered in the deployment statuses (conditions, available replicas, etc).


Additional info:

This might be an outcome of recent docker.io limiting. Follow attached here the list of deployments during the failure, we can see that there is no "status" on ephemeral registry deployments (we could see the deployments on gather-extra just by luck as the namespaces were already flagged to be deleted).

Comment 5 errata-xmlrpc 2021-02-24 15:33:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.